if not Network:is_client() then
	
	local set_timer_multiplier_original = TimerGui.set_timer_multiplier
 
	function TimerGui:set_timer_multiplier(multiplier, ...)
		multiplier = multiplier * (managers.groupai:state():whisper_mode() and 0.5 or 1)
		return set_timer_multiplier_original(self, multiplier, ...)
	end
	
	function TimerGui:start(timer)
		timer = self._override_timer or timer
		if self._jammed then
			self:_set_jammed(false)
			return
		end
		if not self._powered then
			self:_set_powered(true)
			return
		end
		if self._started then
			return
		end
		self:_start(timer)
		if managers.network:session() then
			managers.network:session():send_to_peers_synched("start_timer_gui", self._unit, timer * (managers.groupai:state():whisper_mode() and 0.5 or 1))
		end
	end
	
	local set_jamming_values_original = TimerGui._set_jamming_values
	
	function TimerGui:_set_jamming_values(...)
		set_jamming_values_original(self, ...)
		if not self._can_jam then
			return
		end
		self._jamming_intervals = {}
			local jammed_times = self._timer / math.random(125, 250)
			local interval = self._timer / jammed_times
			for i = 1, jammed_times do
				local start = interval / 2
				self._jamming_intervals[i] = start + math.rand(start / 1.25)
			end
		self._current_jam_timer = table.remove(self._jamming_intervals, 1)
	end
	
end